//Form1.h
#ifndef Form1_h
#define Form1_h

#define IDC_TEXT                    2000
#define IDC_OK                      2005
#define IDC_CANCEL                  2010
#define dim(x)                      (sizeof(x) / sizeof(x[0]))

struct WndEventArgs
{
 HWND                               hWnd;
 WPARAM                             wParam;
 LPARAM                             lParam;
 HINSTANCE                          hIns;
};

LRESULT fnWndProc_OnCreate         (WndEventArgs& Wea);
LRESULT fnWndProc_OnCommand        (WndEventArgs& Wea);
LRESULT fnWndProc_OnDestroy        (WndEventArgs& Wea);

struct EVENTHANDLER
{
 unsigned int                      iMsg;
 LRESULT                           (*fnPtr)(WndEventArgs&);
};

const EVENTHANDLER EventHandler[]=
{
 {WM_CREATE,                        fnWndProc_OnCreate},
 {WM_COMMAND,                       fnWndProc_OnCommand},
 {WM_DESTROY,                       fnWndProc_OnDestroy}
};
#endif
